import request from '@/utils/request'


//获取经销商列表
export function getDealerList(params) {
  return request({
    url: '/customer/list',
    method: 'get',
    params
  })
}
//经销商详情
export function getDealerInfo(params) {
  return request({
    url: '/customer/detail',
    method: 'get',
    params
  })
}

//经销商客户存货分类列表
export function getDealerStockList(params) {
  return request({
    url: '/customer/pt/list',
    method: 'get',
    params
  })
}
//新增经销商客户存货分类
export function getDealerStockAdd(data) {
  return request({
    url: '/customer/pt/add',
    method: 'post',
    data
  })
}
//删除经销商客户存货分类
export function deleDealerStockList(params) {
  return request({
    url: '/customer/pt/delete',
    method: 'get',
    params
  })
}
//经销商工程机配置列表
export function getDealerDepositList(params) {
  return request({
    url: '/customer/deposit/list',
    method: 'get',
    params
  })
}
//新增经销商工程机配置
export function getDealerDepositAdd(data) {
  return request({
    url: '/customer/deposit/add',
    method: 'post',
    data
  })
}
//删除经销商工程机配置
export function deleDealerDeposit(params) {
  return request({
    url: '/customer/deposit/delete',
    method: 'post',
    params
  })
}
//经销商申请列表
export function getDealerApplyList(params) {
  return request({
    url: '/customer/apply/list',
    method: 'get',
    params
  })
}

//字典
export function getDictionaries(params) {
  return request({
    url: '/common/dict/list',
    method: 'get',
    params
  })
}